<script setup lang="ts">
import { IMenuItem } from "@/types/config/dashboard";
import { Icon } from "@iconify/vue";
import { ElIcon, ElMenuItem, ElSubMenu } from "element-plus";
import { useI18n } from "vue-i18n";
import { useRouter } from "vue-router";

defineProps<{
  menuItem: IMenuItem;
}>();

const router = useRouter();
const { t } = useI18n();
</script>
<template>
  <template v-if="menuItem.children">
    <el-sub-menu :index="menuItem.id">
      <template #title>
        <el-icon><Icon :icon="menuItem.icon" /></el-icon>
        <span>{{ t(menuItem.text) }}</span>
      </template>
      <side-menu-item
        v-for="subMenuItem in menuItem.children"
        :key="subMenuItem.id"
        :menu-item="subMenuItem"
      />
    </el-sub-menu>
  </template>
  <template v-else>
    <el-menu-item
      :index="menuItem.url"
      @click="menuItem.url && router.push(menuItem.url)"
    >
      <el-icon><Icon :icon="menuItem.icon" /></el-icon>
      <template #title>{{ t(menuItem.text) }}</template>
    </el-menu-item>
  </template>
</template>
